Sandbox
Endpoint для тестовой симуляции создания заявки без реальной записи обменной задачи.
Sandbox-симуляция заявки
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Sanctum token in Authorization: Bearer <token> format.
Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional
Makes unsafe requests safely repeatable for 24 hours by default.
X-Correlation-Idstring · max: 128Optional
Client-defined id used to correlate API request and webhook events.
Body
route_idinteger · nullableOptional
direction_idinteger · nullableOptional
income_payment_systeminteger · nullableOptional
outcome_payment_systeminteger · nullableOptional
from_currency_idinteger · nullableOptional
to_currency_idinteger · nullableOptional
fromstring · nullableOptional
tostring · nullableOptional
from_codestring · nullableOptional
to_codestring · nullableOptional
amountstringOptionalExample:
100income_amountstring · nullableOptional
Alias of amount.
city_idinteger · nullableOptional
type_rateone of · nullableOptional
0/fixed = fixed rate, 1/floating = floating rate.
integer · enumOptionalPossible values:
string · enumOptionalPossible values:
selected_fee_typestring · nullableOptional
card_verification_requiredboolean · nullableOptional
income_accountstring · nullableOptional
outcome_accountstring · nullableOptional
Responses
200
Standard success envelope.
application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
422
Standard error envelope.
application/json
post/private/sandbox/exchange/orders/simulate
POST /api/v3/private/sandbox/exchange/orders/simulate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 902
{
"route_id": 1,
"direction_id": 1,
"income_payment_system": 1,
"outcome_payment_system": 1,
"from_currency_id": 1,
"to_currency_id": 1,
"from": "text",
"to": "text",
"from_code": "text",
"to_code": "text",
"amount": "100",
"income_amount": "text",
"city_id": 1,
"type_rate": 0,
"selected_fee_type": "text",
"selected_fees": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"selector_fees": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"checkbox_fees": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"card_verification_required": true,
"income_account": "text",
"outcome_account": "text",
"direction_fields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"user_fields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"checkbox_agreements": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"snapshot": {
"version": "route-snapshot-v1",
"route_id": 1,
"hash": "text",
"generated_at": "2026-01-01T00:00:00.000Z",
"expires_at": "2026-01-01T00:00:00.000Z",
"fingerprint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}{
"state": 0,
"message": "text",
"result": null,
"meta": {
"request_id": "text",
"correlation_id": "text",
"timestamp": "2026-01-01T00:00:00.000Z",
"pagination": {
"mode": "page",
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1,
"from": 1,
"to": 1,
"cursor": "text",
"next_cursor": "text",
"has_more": true
}
}
}Последнее обновление
Это было полезно?